/*
 * Galactic Bloodshed, copyright (c) 1989 by Robert P. Chansky, 
 * smq@ucscb.ucsc.edu, mods by people in GB_copyright.h.
 * Restrictions in GB_copyright.h.
 *  examine -- check out an object
 */

#include "GB_copyright.h"
#define EXTERN extern
#include "vars.h"
#include "ships.h"
#include "buffers.h"
extern int Shipdata[NUMSTYPES][NUMABILS];
extern char *Shipnames[];

examine(Playernum,APcount, argn,args)
int Playernum;
int APcount;
int argn;
char args[MAXARGS][COMMANDSIZE];
{
 shiptype *ship;
 int c,t,shdata,shipno;
 FILE *fd;
char ch, temp[128];

    	sscanf(args[1] + ((*args[1]=='#') ? 1 : 0),"%d",&shipno);

    openshdata(&shdata);
    if (!getship(shdata,&ship,shipno)) {
	close_file(shdata);
	return;
    }
 close_file(shdata);
    if (!ship->is_alive) {
	sprintf(buf,"that ship is dead.\n");
		notify(Playernum, buf);
	free(ship);
	return;
    }
    if (ship->whatorbits==LEVEL_UNIV || isclr(Stars[ship->storbits]->inhabited, Playernum)) {
	sprintf(buf,"That ship it not visible to you.\n");
		notify(Playernum, buf);
	return;
    }

    if ((fd=fopen(EXAM_FL, "r"))==NULL) {
	perror(EXAM_FL);
	return;
    }

   /* look through ship data file */
    for (t=0; t<=ship->type; t++)
       while (fgetc(fd) != '~') ;
    
   	      /* look through ship data file */
	sprintf(buf, "\n");
 		   /* give report */
    	      while ((ch=fgetc(fd)) != '~') {
		sprintf(temp, "%c", ch);
		strcat(buf, temp);
		}
	notify(Playernum, buf);
    	      fclose(fd) ;

    if (!ship->is_examined) {
     if (ship->whatorbits==LEVEL_UNIV)
     	deductAPs(Playernum,APcount, 0, 1);	/* ded from sdata */
     else
     	deductAPs(Playernum,APcount, ship->storbits, 0);

     ship->is_examined = 1;
     openshdata(&shdata);
     putship(shdata,ship,shipno);
    close_file(shdata);

    }

    if (has_switch(ship)) {
	sprintf(buf,"This device has an on/off switch that can be set with order.\n");
		notify(Playernum, buf);
		}
    if (!ship->active) {
	sprintf(buf,"This device has been irradiated;\nit's crew is dying and it cannot move for the time being.\n");
		notify(Playernum, buf);
	}

    free(ship);

}
