/* 
 * Galactic Bloodshed, copyright (c) 1989 by Robert P. Chansky, 
 * smq@ucscb.ucsc.edu, mods by people in GB_copyright.h.
 * Restrictions in GB_copyright.h.
 *
 * relation.c -- state relations among players 
 */

#include "GB_copyright.h"
#define EXTERN extern
#include "vars.h"
#include "races.h"
#include "ships.h"
#include "buffers.h"

extern char *Desnames[];
char *allied();
int relation_racedata;

relation(Playernum,APcount, argn, args)
int Playernum;
int APcount, argn;
char args[MAXARGS][COMMANDSIZE];
{
int numraces;
int p;
racetype *r;

free(Race);
openracedata(&relation_racedata);
getrace(relation_racedata, &Race, Playernum);
	 numraces = Numraces();

	sprintf(buf,"\n              Racial Relations Report for %s\n\n",Race->name);
		notify(Playernum, buf);
	sprintf(buf," #      know             Race name       Yours        Theirs \n");
		notify(Playernum, buf);
	sprintf(buf," -      ----             ---------       -----        ------ \n");
		notify(Playernum, buf);
if(argn==1) {
for (p=1; p<=numraces; p++)
		if (p != Race->Playernum) {
			getrace(relation_racedata, &r, p);
			sprintf(buf,"%2d %s (%3d%%) %20.20s : %10s   %10s\n", p, 
			      ((Race->God || Race->translate[p-1] > 30) && r->Thing) ? 
				"Meso" : "    ", Race->translate[p-1], r->name,
				allied(Race, p, 100, Race->God), 
			        allied(r, Playernum,Race->translate[p-1], Race->God) );
		notify(Playernum, buf);
			free(r);
		    }
		} else {
GetPlayer(args[1], &p, &r);
if(p==-1) {
notify(Playernum, "No such player.\n");
return;
}
			sprintf(buf,"%2d %s (%3d%%) %20.20s : %10s   %10s\n", p, 
			      ((Race->God || Race->translate[p-1] > 30) && r->Thing) ? 
				"Meso" : "    ", Race->translate[p-1], r->name,
				allied(Race, p, 100, Race->God), 
			        allied(r, Playernum,Race->translate[p-1], Race->God) );
		notify(Playernum, buf);
			free(r);
}
close_file(relation_racedata);


}



char *allied(r, p, q, God)
racetype *r;
int p,q,God;
{
	 if (isset( r->atwar, p)) return "WAR";
	 else if (isset( r->allied, p)) return "ALLIED";
	 else return "neutral";
}




